%define api 5
%define major 5
%define oname qt5

%define module qtquickcontrols2

%define qmlqtquickcontrols2 %mklibname qt5-qtquickcontrols2-qml

%define qtquickcontrols2 %mklibname qt%{api}quickcontrols2_ %{major}
%define qtquickcontrols2d %mklibname qt%{api}quickcontrols2 -d
%define qtquicktemplates2 %mklibname qt%{api}quicktemplates2_ %{major}
%define qtquicktemplates2d %mklibname qt%{api}quicktemplates2 -d

# Requires qdoc5 and qt5-tools to build
%bcond_without docs

Summary:	Version 5 of the Qt toolkit (%{module} packages)
Name:		qt5-%{module}
Version:	5.9.4
Release:	1
License:	LGPLv3+
Group:		Development/KDE and Qt
Url:		http://qt-project.org/
Source0:	http://ftp.fau.de/qtproject/official_releases/qt/%(echo %{version} |cut -d. -f1-2)/%{version}/submodules/%{module}-opensource-src-%{version}.tar.xz
Source100:	%{name}.rpmlintrc
BuildRequires:	pkgconfig(Qt5Core) >= %{version}
BuildRequires:	pkgconfig(Qt5Gui) >= %{version}
BuildRequires:	pkgconfig(Qt5Network) >= %{version}
BuildRequires:	pkgconfig(Qt5Qml) >= %{version}
BuildRequires:	pkgconfig(Qt5Quick) >= %{version}
BuildRequires:	pkgconfig(Qt5Sql) >= %{version}
BuildRequires:	pkgconfig(Qt5Widgets) >= %{version}
%if %{with docs}
BuildRequires:	qdoc5
BuildRequires:	qt5-tools
%endif

%description
Version 5 of the Qt toolkit (%{module} packages).

#--------------------------------------------------------------------

%package -n %{qmlqtquickcontrols2}
Summary:	QML plugin for Qt 5 Quick Controls 2 module
Group:		System/Libraries
Suggests:	qt5-qtquickcontrols2-i18n
Provides:	qt5-qtlabscontrols-qml = %{EVRD}
Provides:	qt5-qtquickcontrols2-qml = %{EVRD}
Conflicts:	%{_lib}qt5-qtlabscontrols-qml < 5.8.0
Obsoletes:	%{_lib}qt5-qtlabscontrols-qml < 5.8.0

%description -n %{qmlqtquickcontrols2}
QML plugin for Qt 5 Quick Controls 2 module.

%files -n %{qmlqtquickcontrols2}
%{_qt5_prefix}/qml/Qt/labs/calendar/
%{_qt5_prefix}/qml/Qt/labs/platform/
%{_qt5_prefix}/qml/QtQuick/Controls.2/
%{_qt5_prefix}/qml/QtQuick/Templates.2/

#----------------------------------------------------------------------------

%package -n %{qtquickcontrols2}
Summary:	Qt 5 Quick Controls 2 library
Group:		System/Libraries
Requires:	qt5-qtquickcontrols2-qml

%description -n %{qtquickcontrols2}
Qt 5 Quick Controls 2 library.

%files -n %{qtquickcontrols2}
%{_qt5_libdir}/libQt%{api}QuickControls2.so.%{major}*
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/libQt%{api}QuickControls2.so.%{major}*
%endif

#----------------------------------------------------------------------------

%package -n %{qtquickcontrols2d}
Summary:	Development files for the Qt Quick Controls 2 library
Group:		Development/KDE and Qt
Requires:	%{qtquickcontrols2} = %{EVRD}
Requires:	qmake%{api}
Obsoletes:	%{_lib}qt5labscontrols-devel < 5.8.0

%description -n %{qtquickcontrols2d}
Development files for the Qt Quick Controls 2 library.

%files -n %{qtquickcontrols2d}
%{_qt5_includedir}/QtQuickControls2/
%{_qt5_libdir}/libQt%{api}QuickControls2.so
%{_qt5_libdir}/libQt%{api}QuickControls2.prl
%{_qt5_libdir}/cmake/Qt%{api}QuickControls2
%{_qt5_libdir}/pkgconfig/Qt%{api}QuickControls2.pc
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/pkgconfig/Qt%{api}QuickControls2.pc
%endif
%{_qt5_prefix}/mkspecs/modules/qt_lib_quickcontrols2.pri
%{_qt5_prefix}/mkspecs/modules/qt_lib_quickcontrols2_private.pri

#----------------------------------------------------------------------------

%package -n %{qtquicktemplates2}
Summary:	Qt 5 Quick Templates 2 library
Group:		System/Libraries
Requires:	qt5-qtquickcontrols2-qml

%description -n %{qtquicktemplates2}
Qt 5 Quick Templates 2 library.

%files -n %{qtquicktemplates2}
%{_qt5_libdir}/libQt%{api}QuickTemplates2.so.%{major}*
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/libQt%{api}QuickTemplates2.so.%{major}*
%endif

#----------------------------------------------------------------------------

%package -n %{qtquicktemplates2d}
Summary:	Development files for the Qt Quick Templates 2 library
Group:		Development/KDE and Qt
Requires:	%{qtquicktemplates2} = %{EVRD}
Requires:	qmake%{api}

%description -n %{qtquicktemplates2d}
Development files for the Qt Quick Templates 2 library.

%files -n %{qtquicktemplates2d}
%{_qt5_includedir}/QtQuickTemplates2/
%{_qt5_libdir}/libQt%{api}QuickTemplates2.so
%{_qt5_libdir}/libQt%{api}QuickTemplates2.prl
%{_qt5_prefix}/mkspecs/modules/qt_lib_quicktemplates2_private.pri

#----------------------------------------------------------------------------

%if %{with docs}
%package doc
Summary:	Qt QCH documentation for %{name}
Group:		Documentation
BuildArch:	noarch

%description doc
Qt QCH documentation for %{name}.

%files doc
%{_qt5_docdir}/qtlabscalendar.qch
%{_qt5_docdir}/qtlabsplatform.qch
%{_qt5_docdir}/qtquickcontrols2.qch
%endif

#----------------------------------------------------------------------------

%package examples
Summary:	Example applications for %{name}
Group:		Development/KDE and Qt

%description examples
Example applications for %{name}.

%files examples
%{_qt5_exampledir}/quickcontrols2/

#----------------------------------------------------------------------------

%prep
%setup -qn %{module}-opensource-src-%{version}

%build
%qmake_qt5
%make STRIP=true

%if %{with docs}
%make docs
%endif

%install
make install STRIP=true INSTALL_ROOT=%{buildroot}

%if %{with docs}
make install_qch_docs INSTALL_ROOT=%{buildroot}
%endif

%if "%{_qt5_libdir}" != "%{_libdir}"
pushd %{buildroot}%{_libdir}
ln -s ../%{_lib}/qt%{api}/%{_lib}/*.so.* .
mkdir pkgconfig
cd pkgconfig
ln -s ../../%{_lib}/qt%{api}/%{_lib}/pkgconfig/*.pc .
popd
%endif

# QMAKE_PRL_BUILD_DIR = /builddir/build/BUILD/qt-everywhere-opensource-src-5.4.0-beta/qtwayland/src/client
## .prl/.la file love
# nuke .prl reference(s) to %%buildroot, excessive (.la-like) libs
pushd %{buildroot}%{_qt5_libdir}
for prl_file in libQt5*.prl ; do
  sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" ${prl_file}
  if [ -f "$(basename ${prl_file} .prl).so" ]; then
    rm -fv "$(basename ${prl_file} .prl).la"
    sed -i -e "/^QMAKE_PRL_LIBS/d" ${prl_file}
  fi
done
popd

%changelog

* Wed Jan 24 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.4-1
- (46fdddb) New version 5.9.4


